Set (or, with both values null, remove) one interval's override
PUT
/v1/workspace/contact-center/wfm/forecast/overrides
const url = 'https://api.vocapable.com/v1/workspace/contact-center/wfm/forecast/overrides';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"queue_key":"example","channel":"voice","interval_start":"2026-04-15T12:00:00Z","volume":1,"aht_seconds":1,"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.vocapable.com/v1/workspace/contact-center/wfm/forecast/overrides \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "queue_key": "example", "channel": "voice", "interval_start": "2026-04-15T12:00:00Z", "volume": 1, "aht_seconds": 1, "note": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CcWfmOverrideSet
Replace one interval’s forecast volume and/or AHT; both null removes the override.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcWfmOverride
object
id
required
Id
string
queue_key
required
Queue Key
string
channel
required
Channel
string
interval_start
required
Interval Start
string format: date-time
updated_at
required
Updated At
string format: date-time
Examplegenerated
{ "id": "example", "queue_key": "example", "channel": "example", "interval_start": "2026-04-15T12:00:00Z", "volume": 1, "aht_seconds": 1, "note": "example", "updated_at": "2026-04-15T12:00:00Z"}Removed
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}